summaryrefslogtreecommitdiff
path: root/chcleanup
diff options
context:
space:
mode:
Diffstat (limited to 'chcleanup')
-rwxr-xr-xchcleanup7
1 files changed, 7 insertions, 0 deletions
diff --git a/chcleanup b/chcleanup
new file mode 100755
index 0000000..83c9f3f
--- /dev/null
+++ b/chcleanup
@@ -0,0 +1,7 @@
+#!/bin/bash
+
+[ ! -f ~/cleansystem ] && exit 1
+
+sudo pacman --noconfirm -Rcs $(comm -23 <(pacman -Qq | sort) <(sort ~/cleansystem))
+
+exit $?